<?

include_once("../inc/utils_portfolio.php");

$category = (! isset($_GET["c"])) ? "main" : $_GET["c"];
$subCategory = (! isset($_GET["sc"])) ? "" : $_GET["sc"];
$subMenu = getSubMenuLinks($category);
$portfolioItems = array();
$hasSubMenu = false;
$mobile = (preg_match("/Mobile|Android|BlackBerry|iPhone|Windows Phone/", $_SERVER['HTTP_USER_AGENT'])) ? true : false;

// if there is a sub menu and there is no sub category, assign it to "intro"
if ( (count($subMenu) > 0) && ($subCategory == "") ) {
	$subCategory = "intro";
}

// load up content?
if ($category != "main") {
	$pf = "_data/{$category}.txt";
	if (is_file($pf)) {
		$portfolioItems = file($pf);
	} else {
		// funky param - revert to main
		$category = "main";
	}
}

//
// stdout
//
$title = "history";
$show_loading = true;
include_once("../inc/template/header.php");
?>

<div class="blockWrap portfolio" id="bwp">
	<div id="plWrapper">
		<div id="portfolioLinks">
			<?= drawPortfolioLink("pLink", "main", "Main", $category, "c", "", "/images/icon_home.png") ?>
			<?= drawPortfolioLink("pLink", "web", "Web", $category, "c", "") ?>
			<?= drawPortfolioLink("pLink", "design", "Logos & Design", $category, "c", "") ?>
			<?= drawPortfolioLink("pLink", "apps", "Applications", $category, "c", "") ?>
			<?= drawPortfolioLink("pLink", "video", "Video", $category, "c", "") ?>
			<?= drawPortfolioLink("pLink", "code", "Code", $category, "c", "") ?>
		</div>
		<div id="portfolioSubLinks">
			<?
			$hasSubMenu = (count($subMenu) > 0) ? true : false;
			if ($hasSubMenu) {
				$qStr = "c={$category}";
				foreach ($subMenu as $k => $v) {
					echo drawPortfolioLink("pSubLink", $k, $v, $subCategory, "sc", $qStr);
				}
			}
			?>
		</div>
	</div>

	<div class="bpContent">
		<div class="block portfolio">
		<? if ($category != "main") { ?> 
			
			<? if ($subCategory == "intro") { ?>
				<div id="portfolioIntro">
					<?= showIntroText($category, $mobile); ?>
				</div>
			<? } else { ?>
					<div id="portfolioSlider">
					<a class="buttons prev" href="#"><img src="/images/btn_prev.png" width="40" height="40" alt="&lt;" /></a>
					<div class="viewport">
						<ul class="overview">
						<?= renderPortfolioItems($portfolioItems, $subCategory, $mobile); ?>
						</ul>
					</div>
				    <a class="buttons next" href="#"><img src="/images/btn_next.png" width="40" height="40" alt="&gt;" /></a>
						<ul class="pager">
						<?= renderPortfolioItemPager($portfolioItems, $subCategory); ?>
					</ul>
				</div>
			<? } ?>
										
		<? } else { ?> 
				<div id="portfolioIntro">
				<?= showIntroText("main", $mobile); ?>
			</div>
			
		<? } ?>
		
	</div>
</div>

<?
$script_inc_portfolio = true;
include_once("../inc/template/script.php");
?>

<script type="text/javascript">
<!--

var carouselOn = 1;
var carouselSize = <?= count($portfolioItems) ?>;

$(window).load(function() {
	// we're ready!
	$("#loading").fadeOut(1000);
});

$(document).ready(function() {

	<?
	if (! $hasSubMenu) {
		echo "$(\"#portfolioSubLinks\").css(\"display\", \"none\");\n";
	}
	if ( ($category == "web") || ($category == "apps") ) {
		// lazy, but this works nicely
		echo "$(\".portImg img\").css(\"border-width\", \"0\");\n";
	}
	?>
	
	// turn off little click border
	$("a").click(function() { $(this).blur(); });

	// fade in the loading text after a smidge to avoid it showing for quick loads
	$("#loading p").fadeIn(1500);

	try {
		// adjust the height of the portfolio div to reflect the window
		resizePort(carouselOn);

		// turn on the larger image links	
		$("a.portImg").fancybox({
			'padding': 0,
			'opacity': true,
			'transitionIn': 'elastic',
			'transitionOut': 'none',
			'hideOnOverlayClick': true,
			'hideOnContentClick': true
		});

		// start the carousel
		$("#portfolioSlider").tinycarousel({
			callback: function(element, index){
				carouselOn = (index + 1);
			},
			start: carouselOn,
			pager: true
		});

		// set up the user-friendly listeners
		prepCarouselUsability();

	} catch (e) { } 

});

// adjust the height of the portfolio div to reflect the window
$(window).resize(function(){ resizePort(carouselOn); });

//-->
</script>

<?
include_once("../inc/template/footer.php");
?>
